curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/crypto/withdrawal_instant_exchange \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"sender_currency": "EUR",
"received_currency": "BTC",
"sender_amount": "100",
"address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
"foreign_id": "withdrawal_123",
"end_user_reference": "user_12345",
"sender_type": "legal",
"sender_data": {
"legal_name": "Example GmbH",
"country_of_registration": "DEU"
},
"receiver_type": "natural",
"receiver_data": {
"first_name": "Friedrich",
"last_name": "Müller",
"date_of_birth": "1995-08-17"
}
}
'Make an instant withdrawal from a cryptocurrency or fiat balance with conversion to cryptocurrency.
curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/crypto/withdrawal_instant_exchange \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"sender_currency": "EUR",
"received_currency": "BTC",
"sender_amount": "100",
"address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
"foreign_id": "withdrawal_123",
"end_user_reference": "user_12345",
"sender_type": "legal",
"sender_data": {
"legal_name": "Example GmbH",
"country_of_registration": "DEU"
},
"receiver_type": "natural",
"receiver_data": {
"first_name": "Friedrich",
"last_name": "Müller",
"date_of_birth": "1995-08-17"
}
}
'Documentation Index
Fetch the complete documentation index at: https://docs.cryptoprocessing.com/llms.txt
Use this file to discover all available pages before exploring further.
sender_data and the end_user_reference you provide must be associated with the same customer.Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Currency to withdraw. For a list of all available currencies, see API currency codes.
Target currency to convert funds into before sending.
Amount to withdraw in sender_currency.
Cryptocurrency address where you want to send funds.
Unique ID of the withdrawal request.
Persistent internal ID of the merchant's end customer who initiates the withdrawal. Use the same value for the same customer across all requests. This value must refer to the same customer described in sender_data.
Do not include personal data, such as the customer's name or email address. Put personal details in sender_data.
Whether the sender is a natural person (natural) or a legal entity (legal).
natural, legal Details of the merchant's end customer who initiates the withdrawal.
If sender_type is natural, include first_name, last_name, and date_of_birth. Do not include legal_name or country_of_registration.
If sender_type is legal, include legal_name and country_of_registration. Do not include first_name, last_name, or
date_of_birth.
You can optionally include email for either sender type.
Show child attributes
Type of the withdrawal recipient.
Use natural if the recipient is an individual person, legal if the recipient is a legal entity, or self if the recipient is the same person or legal entity as the sender.
The selected type determines whether receiver_data is required and which fields it must contain.
natural, legal, self Details of the withdrawal recipient.
If receiver_type is natural, include first_name, last_name, and date_of_birth. Do not include legal_name or country_of_registration.
If receiver_type is legal, include legal_name and country_of_registration. Do not include first_name, last_name, or date_of_birth.
If receiver_type is self, do not include receiver_data.
Show child attributes
Created
Show child attributes
Was this page helpful?